al_assert(3)

NAME
al_assert - Asserts at the specified file and line number. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void al_assert(const char *file, int line);

DESCRIPTION
Raises an assert for an error at the specified file and line number. The file parameter is always given in ASCII format. By default, this will call the system driver's assert handler. If there is none, the error will be sent to stderr and the program will abort. However, if the environment variable ALLEGRO_ASSERT is set, this function writes a message into the file specified by the environment variable and program execution will continue. If none of this behaviours is wanted, you can override them with a custom assert handler. You will usually want to use the ASSERT() macro instead of calling this function directly.

SEE ALSO
ASSERT(3), al_trace(3), register_assert_handler(3)